import { createRouter, createWebHistory } from 'vue-router'
import Home from '../components/Home.vue'
import Results from '../components/Results.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: Home
    },
    {
      path: '/search',
      name: 'results',
      component: Results
    },
    {
      path: '/:pathMatch(.*)*',
      name: 'not-found',
      component: () => import('../components/NotFound.vue')
    }
  ]
})

export default router